Skip to main content
POST
/
api
/
activate
Set wallet address
curl --request POST \
  --url https://app.mandate.md/api/activate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "evmAddress": "0x71C7656EC7ab88b098defB751B7401B5f6d8976F"
}
'
{
  "activated": true,
  "agentId": "9e5f1a2b-3c4d-5e6f-7a8b-9c0d1e2f3a4b",
  "evmAddress": "0x71c7656ec7ab88b098defb751b7401b5f6d8976f",
  "onboardingUrl": "https://app.mandate.md/dashboard?onboarding=1",
  "message": "Agent activated. Tell your human to visit: https://app.mandate.md/dashboard?onboarding=1"
}

Authorizations

Authorization
string
header
required

Runtime key issued at agent registration. Prefixed with mndt_live_ (mainnet) or mndt_test_ (testnet). Pass as Authorization: Bearer mndt_test_....

Body

application/json
evmAddress
string
required

EVM wallet address to set for this agent.

Pattern: ^0x[a-fA-F0-9]{40}$

Response

Agent activated.

activated
enum<boolean>
required
Available options:
true
agentId
string<uuid>
required
evmAddress
string
required

Normalized lowercase EVM address.

onboardingUrl
string<uri>
required

Dashboard URL with onboarding flag.

message
string

Human-readable activation message.